import { createApp } from 'vue'
import { createStore } from 'vuex'
import App from './App.vue'
import router from './router'
import VueCookies from 'vue-cookies'
import axios from 'axios'
import VueAxios from 'vue-axios'

import './assets/main.css'
import 'vfonts/Lato.css'

const app = createApp(App)

axios.defaults.baseURL = "/api"

const store = createStore({
  state() {
    return {
      id: null,
      name: null,
    }
  },
  mutations: {
    set(state, userInfo) {
      state.id = userInfo.id
      state.name = userInfo.name
    },
    clear(state) {
      state.id = null
      state.name = null
    }
  }
})

app.use(router)
app.use(VueCookies)
app.use(VueAxios, axios)
app.use(store)


app.mount('#app')


